iconv_substr
ob_iconv_handler
iconv Functions
PHP Manual

# iconv

(PHP 4 >= 4.0.5, PHP 5)

iconv — Convert string to requested character encoding

### Description

string iconv ( string `$in_charset` , string `$out_charset` , string `$str` )

Performs a character set conversion on the string `str` from `in_charset` to `out_charset` .

### Parameters

`in_charset`

  The input charset.

`out_charset`

  The output charset.

  If you append the string //TRANSLIT to `out_charset` transliteration is activated. This means that when a character can't be represented in the target charset, it can be approximated through one or several similarly looking characters. If you append the string //IGNORE, characters that cannot be represented in the target charset are silently discarded. Otherwise, `str` is cut from the first illegal character.

`str`

  The string to be converted.

### Return Values

Returns the converted string or `FALSE` on failure.

### Examples

Example #1 iconv() example

`<?php
echo iconv("ISO-8859-1", "UTF-8", "This is a test.");
?>`

iconv_substr
ob_iconv_handler
iconv Functions
PHP Manual